<template>
  <div id="activity">
    <NavBar/>
    <div class="body">
      <div class="content">
        <div class="wrapper">
          <div class="main-box">
            <div class="detail">
              <div class="activity-img">
                <img src="../assets/img/activity1.jpg" alt=""/>
              </div>
              <div class="activity-des">
                <h1>{{ activity.name }}</h1>
                <div v-html="activity.description"></div>
              </div>
            </div>
            <div class="recent-payer">
              <h2>Báo cáo</h2>
              <p>Số lượt ủng hộ trong 7 ngày gần đây</p>
              <PaymentChart :activity-id="activity.id"/>
            </div>
            <div class="recent-payer">
              <h2>Đóng góp gần đây</h2>
              <PaymentListTable style="margin-top: 30px" :activity-id="activity.id"/>
            </div>              
          </div>
          <div class="donate">
            <label>Tổng số tiền ủng hộ<br>
              <span>{{ activity.totalDonation.toLocaleString() }}</span>
              <br><br>
              Số lượt ủng hộ<br>
              <!-- <span>{{ activity.donateCount }}</span> -->
              <span>{{ activity.numberOfDonation }}</span>
            </label>
            <button class="btn-donate" @click="donate">DONATE</button>
          </div>
        </div>
      </div>
      <Footer/>
    </div>
  </div>  
</template>
  
<script>
import NavBar from '@/components/NavBar.vue';
import Footer from '@/components/Footer.vue';
import DonationService from '@/services/DonationService';
import PaymentListTable from '@/components/PaymentListTable.vue';
import PaymentChart from '@/components/PaymentChart.vue';

export default {
  name: 'Avtivity-page',
  components: {
    NavBar,
    Footer,
    PaymentListTable,
    PaymentChart
  },
  data(){
    return {
      activity: {        
        id: this.$route.params.id,
        name: "Donation name",
        description: "<p>niaos ioafiona inafioan ioanf<br>ioafniaw imw i ixi<br><br>a zuqn namz jzima oawom amdis  maif mafun  masi afms mdmdfj</p>",
        totalDonation: 2230000000,
        numberOfDonation: 48282,
      },
      payments: []
    }
  },
  methods: {
    async getDonationDetail(){
      try{
        let response = await DonationService.getDonationById(this.$route.params.id)
        console.log(response)
        if(response.status == 200){
          this.activity = response.data
        }
        else{          
          alert(response.statusText)
        }        
      }
      catch(err){        
        console.log(err)
        alert('Failed to get Detail')
      }
    },
    donate(){
      this.$router.push({name: 'Payment', params: {id: this.activity.id}})
    },
  },
  mounted() {
    // if(this.$store.getters.isAuthenticated)
      this.getDonationDetail()
      console.log('get detail')
  }
}
</script>

<style scoped>
#activity {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  display: flex;
  flex-direction: column;
}

.body{    
  width: 100%;
  height: 100%;
  display: flex;
  overflow-y: auto;
  flex-direction: column;
}

.content {
  width: 100%;
  margin-top: 10px;
  margin-bottom: 40px;
}

.wrapper{
  margin: 0 auto;
  max-width: 960px;
  display: flex;
  min-height: 100%;
  flex-direction: row;
}

.detail{
  width: 100%;
  height: fit-content;
  border-radius: 16px;
  background-color: white;
  margin-right: 10px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.detail > .activity-img {
  max-width: 100%;
  height: 200px;
  overflow: hidden;
  border-radius: 20px 20px 0px 0px;
}

.activity-img > img {
  max-width: 100%;
}

.activity-des{
  padding: 20px;
}

.recent-payer{
  width: calc(100% - 40px);
  height: fit-content;
  border-radius: 16px;
  background-color: white;
  margin-top: 10px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  padding: 20px 20px 40px 20px;
}

.donate {
  padding: 10px;
  min-width: 200px;
  border-radius: 16px;
  height: 200px;
  background-color: white;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  position: sticky;
  top: 10px;
  margin-left: 10px;
}

.donate > label {
  text-align: center;
}

.donate > label > span {
  font-weight: bold;
  font-size: 1.5em;
}
.donate > button {
  border-radius: 8px;
  width: 100%;
  padding: 10px;
  border: none;
  font-weight: bold;
  color: white;
  background-color: #2196F3
}

.donate > button:hover {
  background-color: #197bcb;
  cursor: pointer;
}
</style>